Installation Wizard
Media Plug-ins
STEP 1: INSTALL ADOBE® FLASH® PLAYER
The Adobe Flash player is required to run the simulation and other multimedia activities in myitlab.
The required version of the Adobe Flash Player is version 9.0 or higher.
Do you see a graphic below which includes information about the version of your Flash Player? (Example: WIN 9,0,47,7)
  • If the first number is 9 or higher, then you have the correct version of Flash and can click Next to continue.
  • If it is not, you should click No, Install Adobe Flash Player to install the latest version.
Note: you do not need the Debug Player version; ignore this information.
Yes. Click Next to continue.

No.   Install Adobe Flash Player. (Link will open in a new browser window.)
Tip: Installed Adobe Flash Player but still not seeing the graphic above?
Try refreshing your browser by using the F5 key on your keyboard. If you are prompted to reboot your machine or shutting down Internet Explorer, follow those instructions and then return to this page in the Installation Wizard.
STEP 1: ADOBE® FLASH® PLAYER
STEP 2: ADOBE® READER®
STEP 3: MYITLAB PLAYER
STEP 4: MYITLAB PLAYER SIMULATION FILES
INSTALLATION COMPLETE

Need Help?
Visit our Product Support Site for tips and contact information.
 Print installation instructions
Cancel Installation Wizard
Copyright © 2009 Pearson Education, Inc. All Rights Reserved. Trademark notices
Next: Install Adobe® Reader®